#include <qlineedit.h>
#include <qlabel.h>

#include <klocale.h>

#include "actionpage.h"

ActionPage::ActionPage(QWidget *parent, const char *name)
  : QVBox(parent, name), _actionEdit(NULL)
  {
  QString message;
  message = "Enter the action that you would like to run when this\n";
  message += "gesture is recognized. This can be any command that\n";
  message += "you could normally run from the command line.\n\n";
  message += "For example: \n";
  message += "\"dcop kwin KWinInterface setCurrentDesktop 2\"\n";

  (void) new QLabel(i18n(message), this, "label");

  _actionEdit = new QLineEdit(this, "actionEdit");

  QWidget *spacer = new QWidget(this, "spacer");
  setStretchFactor(spacer, 1);
  }

ActionPage::~ActionPage()
  {
  }

QString ActionPage::getAction() const
  {
  return _actionEdit->text();
  }
