/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed May 16 11:06:41 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <iostream.h>

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapp.h>
#include <kwin.h>

#include "kgesture.h"

static const char *description =
	I18N_NOOP("KGesture");

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kgesture", I18N_NOOP("KGesture"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, KGesture Developers");
  aboutData.addAuthor("Mike Pilone",0, "mpilone@slac.com");
  aboutData.addAuthor("Garrett Bernech", 0, "gbernech@stl.vt.edu"); 
  KCmdLineArgs::init( argc, argv, &aboutData );
  
  KUniqueApplication::addCmdLineOptions();

  if (!KUniqueApplication::start())
    {
    cerr << "already running, exiting..." << endl;
    return 1;
    }

  KUniqueApplication app;
  
  KGesture *a = new KGesture;

  app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
 
  a->show();

  int retVal = app.exec();
  delete a;

  return retVal;
}
